aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2021-08-25 11:55:15 +0300
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2021-12-24 08:01:26 +0000
commit85dbd4d1416d5456f6df1d7c338248a9e4210800 (patch)
tree3589cd1f23b49d919df81254602e8f08ca65a87b
parentdf8e26ded37b66bb5bac7f770a414557f89a19bc (diff)
Set ulimit also for grapchical login
Graphical login requires DefaultLimitNOFILE=4096 to be set in user.conf. Task-number: COIN-699 Change-Id: Ia07e834ebcffa2ed24a7c211255a4c4c5a10ca10 Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Toni Saario <toni.saario@qt.io> (cherry picked from commit 8dcbfc526ec0b47f302f2265337d2a9ee91f2b5c) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/linux/set_ulimit.sh63
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-8.2-x86_64/01-set-ulimit.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-8.4-x86_64/01-set-ulimit.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-15_SP3-x86_64/01-set-ulimit.sh6
-rw-r--r--coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/01-set-ulimit.sh58
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/01-set-ulimit.sh6
6 files changed, 90 insertions, 55 deletions
diff --git a/coin/provisioning/common/linux/set_ulimit.sh b/coin/provisioning/common/linux/set_ulimit.sh
new file mode 100755
index 00000000..55414893
--- /dev/null
+++ b/coin/provisioning/common/linux/set_ulimit.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script will set ulimit size for open files
+# Linker for Qt Webengine builds needs to open a multiple files. Without this it will hit the limit.
+
+file="/etc/security/limits.conf"
+file2="/etc/pam.d/common-session"
+sudo sed -i '/End of file/d' $file
+sudo tee -a $file <<"EOF"
+* soft nproc 4096
+* hard nproc 4096
+* soft nofile 4096
+* hard nofile 4096
+root soft nproc 4096
+root hard nproc 4096
+root soft nofile 4096
+root hard nofile 4096
+# End of file
+EOF
+
+sudo sed -i '/end of pam-auth-update config/d' $file2
+sudo tee -a $file2 <<"EOF"
+session required pam_limits.so
+# end of pam-auth-update config
+EOF
+
+# This is required for UI login. Without this the ulimit will be 1024 during graphical login.
+sudo tee -a /etc/systemd/user.conf <<"EOF"
+DefaultLimitNOFILE=4096
+EOF
diff --git a/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/01-set-ulimit.sh b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/01-set-ulimit.sh
new file mode 100755
index 00000000..dadc0781
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/01-set-ulimit.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/set_ulimit.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/01-set-ulimit.sh b/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/01-set-ulimit.sh
new file mode 100755
index 00000000..dadc0781
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/01-set-ulimit.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/set_ulimit.sh"
diff --git a/coin/provisioning/qtci-linux-SLES-15_SP3-x86_64/01-set-ulimit.sh b/coin/provisioning/qtci-linux-SLES-15_SP3-x86_64/01-set-ulimit.sh
new file mode 100755
index 00000000..dadc0781
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-15_SP3-x86_64/01-set-ulimit.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/set_ulimit.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/01-set-ulimit.sh b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/01-set-ulimit.sh
index f190f482..dadc0781 100644
--- a/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/01-set-ulimit.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/01-set-ulimit.sh
@@ -1,58 +1,6 @@
#!/usr/bin/env bash
-#############################################################################
-##
-## Copyright (C) 2021 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
+set -ex
-# This script will set ulimit size for open files
-# Linker for Qt Webengine builds needs to open a multiple files. Without this it will hit the limit.
-
-file="/etc/security/limits.conf"
-file2="/etc/pam.d/common-session"
-sudo sed -i '/End of file/d' $file
-sudo tee -a $file <<"EOF"
-* soft nproc 4096
-* hard nproc 4096
-* soft nofile 4096
-* hard nofile 4096
-root soft nproc 4096
-root hard nproc 4096
-root soft nofile 4096
-root hard nofile 4096
-# End of file
-EOF
-
-sudo sed -i '/end of pam-auth-update config/d' $file2
-sudo tee -a $file2 <<"EOF"
-session required pam_limits.so
-# end of pam-auth-update config
-EOF
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/set_ulimit.sh"
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/01-set-ulimit.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/01-set-ulimit.sh
new file mode 100755
index 00000000..dadc0781
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/01-set-ulimit.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/set_ulimit.sh"